export declare const lightTheme: {
    readonly common: {
        readonly active: {
            readonly color: string;
            readonly background: string;
            readonly border: string;
        };
        readonly focus: {
            readonly color: "#fff";
            readonly border: string;
            readonly background: string;
        };
    };
    readonly components: {
        readonly skeleton: {
            readonly animation: {
                readonly background: string;
            };
        };
        readonly button: {
            readonly blank: {
                readonly color: "#000";
                readonly border: string;
                readonly background: "#fff";
            };
            readonly none: {
                readonly color: string;
                readonly border: string;
                readonly background: "#fff";
            };
            readonly info: {
                readonly color: "#fff";
                readonly border: string;
                readonly background: string;
            };
            readonly success: {
                readonly color: "#fff";
                readonly border: string;
                readonly background: string;
            };
            readonly warning: {
                readonly color: "#000";
                readonly border: string;
                readonly background: string;
            };
            readonly error: {
                readonly color: "#fff";
                readonly border: string;
                readonly background: string;
            };
            readonly disabled: {
                readonly color: string;
                readonly border: string;
                readonly background: string;
            };
        };
        readonly field: {
            readonly label: {
                readonly color: string;
                readonly background: "#fff";
            };
            readonly input: {
                readonly color: string;
                readonly border: string;
                readonly background: "#fff";
            };
            readonly icon: {
                readonly color: string;
            };
            readonly radioButton: {
                readonly active: {
                    readonly color: "#000";
                    readonly background: string;
                    readonly border: string;
                };
            };
            readonly none: {
                readonly background: string;
                readonly border: string;
            };
            readonly info: {
                readonly background: string;
                readonly border: string;
            };
            readonly success: {
                readonly background: string;
                readonly border: string;
            };
            readonly warning: {
                readonly background: string;
                readonly border: string;
            };
            readonly error: {
                readonly background: string;
                readonly border: string;
            };
            readonly disabled: {
                readonly color: string;
                readonly background: string;
            };
        };
        readonly message: {
            readonly none: {
                readonly color: string;
                readonly border: string;
                readonly background: string;
            };
            readonly info: {
                readonly color: string;
                readonly border: string;
                readonly background: string;
            };
            readonly success: {
                readonly color: string;
                readonly border: string;
                readonly background: string;
            };
            readonly warning: {
                readonly color: string;
                readonly border: string;
                readonly background: string;
            };
            readonly error: {
                readonly color: string;
                readonly border: string;
                readonly background: string;
            };
        };
        readonly list: {
            readonly container: {
                readonly border: string;
            };
            readonly item: {
                readonly border: string;
            };
        };
        readonly modal: {
            readonly container: {
                readonly background: "#fff";
                readonly none: {
                    readonly border: string;
                };
                readonly info: {
                    readonly border: string;
                };
                readonly success: {
                    readonly border: string;
                };
                readonly warning: {
                    readonly border: string;
                };
                readonly error: {
                    readonly border: string;
                };
            };
        };
    };
    readonly spacing: {
        readonly sm: 4;
        readonly md: 8;
        readonly lg: 12;
        readonly xl: 20;
    };
    readonly fontSize: {
        readonly sm: 14;
        readonly md: 16;
        readonly lg: 22;
        readonly xl: 26;
    };
    readonly fontFamily: "Quicksand";
};
