import palette from '../style/palette';

export const lightTheme = {
	common: {
		active: {
			color: palette.pink['600'],
			background: palette.pink['100'],
			border: palette.pink['200'],
		},
		focus: {
			color: '#fff',
			border: palette.teal['300'],
			background: palette.teal['200'],
		},
	},
	components: {
		skeleton: {
			animation: {
				background: palette.gray['200'],
			},
		},
		button: {
			blank: {
				color: '#000',
				border: palette.gray['200'],
				background: '#fff',
			},
			none: {
				color: palette.gray['500'],
				border: palette.gray['200'],
				background: '#fff',
			},
			info: {
				color: '#fff',
				border: palette.azure['500'],
				background: palette.azure['400'],
			},
			success: {
				color: '#fff',
				border: palette.submarine['500'],
				background: palette.submarine['400'],
			},
			warning: {
				color: '#000',
				border: palette.tangerine['500'],
				background: palette.tangerine['400'],
			},
			error: {
				color: '#fff',
				border: palette.cerise['500'],
				background: palette.cerise['400'],
			},
			disabled: {
				color: palette.gray['200'],
				border: palette.gray['200'],
				background: palette.gray['100'],
			},
		},
		field: {
			label: {
				color: palette.gray['500'],
				background: '#fff',
			},
			input: {
				color: palette.gray['900'],
				border: palette.gray['300'],
				background: '#fff',
			},
			icon: {
				color: palette.gray['500'],
			},
			radioButton: {
				active: {
					color: '#000',
					background: palette.purple['200'],
					border: palette.purple['300'],
				},
			},
			none: {
				background: palette.gray['200'],
				border: palette.gray['300'],
			},
			info: {
				background: palette.azure['400'],
				border: palette.azure['500'],
			},
			success: {
				background: palette.submarine['400'],
				border: palette.submarine['500'],
			},
			warning: {
				background: palette.tangerine['400'],
				border: palette.tangerine['500'],
			},
			error: {
				background: palette.cerise['400'],
				border: palette.cerise['500'],
			},
			disabled: {
				color: palette.gray['300'],
				background: palette.gray['100'],
			},
		},
		message: {
			none: {
				color: palette.gray['400'],
				border: palette.gray['200'],
				background: palette.gray['100'],
			},
			info: {
				color: palette.azure['400'],
				border: palette.azure['200'],
				background: palette.azure['100'],
			},
			success: {
				color: palette.submarine['400'],
				border: palette.submarine['200'],
				background: palette.submarine['100'],
			},
			warning: {
				color: palette.tangerine['400'],
				border: palette.tangerine['200'],
				background: palette.tangerine['100'],
			},
			error: {
				color: palette.cerise['400'],
				border: palette.cerise['200'],
				background: palette.cerise['100'],
			},
		},
		list: {
			container: {
				border: palette.gray['300'],
			},
			item: {
				border: palette.gray['200'],
			},
		},
		modal: {
			container: {
				background: '#fff',
				none: {
					border: palette.gray['300'],
				},
				info: {
					border: palette.azure['300'],
				},
				success: {
					border: palette.submarine['300'],
				},
				warning: {
					border: palette.tangerine['300'],
				},
				error: {
					border: palette.cerise['300'],
				},
			},
		},
	},
	spacing: {
		sm: 4,
		md: 8,
		lg: 12,
		xl: 20,
	},
	fontSize: {
		sm: 14,
		md: 16,
		lg: 22,
		xl: 26,
	},
	fontFamily: 'Quicksand',
} as const;
