import { UnistylesRegistry } from 'react-native-unistyles';
import { UnistylesConfig } from 'react-native-unistyles/src/types';

import { lightTheme } from './theme/light';

const themes = {
	light: lightTheme,
};

const config = {
	adaptiveThemes: true,
	initialTheme: 'light' as any,
} satisfies UnistylesConfig;

type AppThemes = typeof themes;

// override library types
declare module 'react-native-unistyles' {
	// export interface UnistylesBreakpoints extends AppBreakpoints {}
	export interface UnistylesThemes extends AppThemes {}
}

UnistylesRegistry.addThemes(themes).addConfig(config);
